linux: 4.2.0-22.27 -proposed tracker

Bug #1527391 reported by Kamal Mostafa on 2015-12-17
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Kamal Mostafa
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Chris J Arges
Promote-to-updates
Medium
Chris J Arges
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Wily
Medium
Unassigned

Bug Description

This bug is for tracking the 4.2.0-22.27 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 17. December 2015 21:35 UTC
kernel-stable-Prepare-package-end:Friday, 18. December 2015 10:21 UTC
kernel-stable-Promote-to-proposed-start:Friday, 18. December 2015 10:21 UTC
kernel-stable-Promote-to-proposed-end:Friday, 18. December 2015 16:14 UTC
kernel-stable-Verification-testing-start:Friday, 18. December 2015 18:01 UTC
kernel-stable-Certification-testing-start:Friday, 18. December 2015 18:01 UTC
kernel-stable-Security-signoff-start:Friday, 18. December 2015 18:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 18. December 2015 18:01 UTC
kernel-stable-Promote-to-updates-start:Friday, 18. December 2015 18:31 UTC
kernel-stable-Security-signoff-end:Friday, 18. December 2015 18:31 UTC
kernel-stable-Certification-testing-end:Friday, 18. December 2015 18:31 UTC
kernel-stable-Regression-testing-end:Friday, 18. December 2015 18:31 UTC
kernel-stable-Promote-to-updates-end:Friday, 18. December 2015 20:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 18. December 2015 22:01 UTC

tags: added: kernel-release-tracking-bug
tags: added: block-proposed
tags: added: block-proposed-wily
tags: added: wily
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Wily):
importance: Undecided → Medium
Adam Conrad (adconrad) on 2015-12-17
tags: removed: block-proposed
Luis Henriques (henrix) on 2015-12-18
summary: - linux: 4.2.0-22.26 -proposed tracker
+ linux: 4.2.0-22.27 -proposed tracker
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-wily (14.04.1) - bug 1527538

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-raspi2

description: updated

 linux | 4.2.0-22.27 | wily-proposed | source
 linux-meta | 4.2.0.22.24 | wily-proposed | source
 linux-signed | 4.2.0-22.27 | wily-proposed | source

Brad Figg (brad-figg) on 2015-12-18
description: updated
Brad Figg (brad-figg) on 2015-12-18
description: updated
Luis Henriques (henrix) on 2015-12-18
tags: added: qa-testing-passed
Luis Henriques (henrix) on 2015-12-18
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.2.0-22.27

---------------
linux (4.2.0-22.27) wily; urgency=low

  [ Kamal Mostafa ]

  * Release Tracking Bug
    - LP: #1527391

  [ Jann Horn ]

  * ptrace: being capable wrt a process requires mapped uids/gids
    - LP: #1527374

linux (4.2.0-22.26) wily; urgency=low

  [ Upstream Kernel Changes ]

  * xen: Add RING_COPY_REQUEST()
    - CVE-2015-8550
  * xen-netback: don't use last request to determine minimum Tx credit
    - CVE-2015-8550
  * xen-netback: use RING_COPY_REQUEST() throughout
    - CVE-2015-8550
  * xen-blkback: only read request operation from shared ring once
    - CVE-2015-8550
  * xen-blkback: read from indirect descriptors only once
    - CVE-2015-8550
  * xen-scsiback: safely copy requests
    - CVE-2015-8550
  * xen/pciback: Save xen_pci_op commands before processing it
    - CVE-2015-8550
  * xen/pciback: Return error on XEN_PCI_OP_enable_msi when device has MSI
    or MSI-X enabled
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Return error on XEN_PCI_OP_enable_msix when device has MSI
    or MSI-X enabled
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Do not install an IRQ handler for MSI interrupts.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: For XEN_PCI_OP_disable_msi[|x] only disable if device has
    MSI(X) enabled.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553
  * xen/pciback: Don't allow MSI-X ops if PCI_COMMAND_MEMORY is not set.
    - CVE-2015-8551, CVE-2015-8552, CVE-2015-8553

 -- Kamal Mostafa <email address hidden> Thu, 17 Dec 2015 12:54:53 -0800

Changed in linux (Ubuntu Wily):
status: New → Fix Released

 linux | 4.2.0-22.27 | wily-updates | source
 linux-meta | 4.2.0.22.24 | wily-updates | source
 linux-signed | 4.2.0-22.27 | wily-updates | source

Brad Figg (brad-figg) on 2015-12-18
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers